## org.exist.backup
Class Backup

    java.lang.Object
      org.exist.backup.Backup

public class Backup
extends java.lang.Object

Field Summary
`java.util.Properties` `contentsOutputProps`
`java.util.Properties` `defaultOutputProperties`
`static java.lang.String` `NS`

Constructor Summary
`Backup(java.lang.String user, java.lang.String pass, java.lang.String backupDir)`
`Backup(java.lang.String user, java.lang.String pass, java.lang.String backupDir, XmldbURI rootCollection)`
`Backup(java.lang.String user, java.lang.String pass, java.lang.String backupDir, XmldbURI rootCollection, java.util.Properties property)`

Method Summary
`void` `backup(boolean guiMode, javax.swing.JFrame parent)`
`java.lang.String` `decode(java.lang.String enco)`
`java.lang.String` `encode(java.lang.String enco)`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

See Also:
  Constant Field Values

### defaultOutputProperties

    public java.util.Properties defaultOutputProperties

### contentsOutputProps

    public java.util.Properties contentsOutputProps

Constructor Detail

### Backup

    public Backup(java.lang.String user,
                  java.lang.String pass,
                  java.lang.String backupDir,
                  XmldbURI rootCollection)

### Backup

    public Backup(java.lang.String user,
                  java.lang.String pass,
                  java.lang.String backupDir)

### Backup

    public Backup(java.lang.String user,
                  java.lang.String pass,
                  java.lang.String backupDir,
                  XmldbURI rootCollection,
                  java.util.Properties property)

Method Detail

### encode

    public java.lang.String encode(java.lang.String enco)

### decode

    public java.lang.String decode(java.lang.String enco)

### backup

    public void backup(boolean guiMode,
                       javax.swing.JFrame parent)
                throws XMLDBException,
                       java.io.IOException,
                       org.xml.sax.SAXException

  Throws:
    `XMLDBException`
    `java.io.IOException`
    `org.xml.sax.SAXException`

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.